#pragma once

class QueueX
{
private:
	int maxSize;
	double *que;
	int front;
	int rear;
	int nItems;

public:
	QueueX(int size);
	~QueueX(void);
	void insert(double d);
	double remove();
	double peekFront();
	bool isEmpty();
	bool isFull();
	void circle(int &pos);
};
